- [HTTP request](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns/list#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns/list#body.BackupRunsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns/list#body.aspect)
- [Examples](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns/list#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns/list#try-it)

Lists all backup runs associated with the project or a given instance and configuration in the reverse chronological order of the backup initiation time.

### HTTP request

`GET https://sqladmin.googleapis.com/sql/v1beta4/projects/{project}/instances/{instance}/backupRuns`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID of the project that contains the instance. |
| `instance` | `string` Cloud SQL instance ID, or "-" for all instances. This does not include the project ID. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of backup runs per response. |
| `pageToken` | `string` A previously-returned page token representing part of the larger set of results to view. |

### Request body

The request body must be empty.

### Response body

Backup run list results.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "items": [ { object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns#BackupRun`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` This is always `sql#backupRunsList`. |
| `items[]` | ``object (`https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1beta4/backupRuns#BackupRun`)`` A list of backup runs in reverse chronological order of the enqueued time. |
| `nextPageToken` | `string` The continuation token, used to page through large result sets. Provide this value in a subsequent request to return the next page of results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).